<?
if(isset($_GET['mycellar2']) && isset($_GET['cultivator2']) && intval($_GET['cultivator2'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id` = '".intval($_GET['cultivator2'])."' AND `id_user` = '$ku[id]' AND `id_plant2` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator2` = '0'"),0)!=0)
{
$polka2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_polka2` WHERE `id` = '".intval($_GET['cultivator2'])."' AND `id_user` = '$ku[id]' AND `id_plant2` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator2` = '0'"));
$rat=1;
$rat_drakon_act=0;
$rat_sc_act=0;
$rat_cultivator2_act=0;
$rat_school_act=0;
$rat_lib_act=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($cultivator2_act))$rat_cultivator2_act=(($rat/100)*$cultivator2_act);
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel2_act))$rat_cultivator2_act=$rat_cultivator2_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator2_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
mysql_query("UPDATE `kolhoz_polka2` SET `cultivator2` = '1' WHERE `id` = '".intval($_GET['cultivator2'])."' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
header("Location:?mycellar2&".passgen());
exit;
}
?>